#ifndef MRCIMAGEREVERSE_H
#define MRCIMAGEREVERSE_H
#include <stdio.h>
#include <stdlib.h>

#define OPTION_FLAG     '-'
#define OPTION_FLAG_POS (0)
#define OPTION_POS      (1)




typedef struct mrcImageReverseInfo {
    long flagRedirect;

    long flagIn;
    char* In;
    FILE* fptIn;
    
    long flagOut;
    char* Out;
    FILE* fptOut;
    
    long flagconfigFile;
    char* configFile;
    FILE* fptconfigFile;
    
    long flagmode;
    long mode;
    
} mrcImageReverseInfo;
extern void argCheck(mrcImageReverseInfo* info, int argc, char* avgv[]);
extern void init0(mrcImageReverseInfo* info);
extern void init1(mrcImageReverseInfo* info);
extern void usage(char* usage);
extern void additionalUsage(void);
extern void htmlBeforeUsage(char* usage);
extern void htmlAfterUsage(char* usage);
#endif /* MRCIMAGEREVERSE_H */
